<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>fr.ge.core</groupId>
		<artifactId>java-pom</artifactId>
		<version>2.16.1.4</version>
	</parent>
	<artifactId>ge-core-test</artifactId>
	<version>3.9.3.1-SNAPSHOT</version>
	<name>GE CORE TEST</name>
	<description>Unit Test basic toolkit</description>

	<scm>
		<connection>scm:git:https://gitlab.com/guichet-entreprises.fr/libs/ge-core-test.git</connection>
        <developerConnection>scm:git:https://gitlab.com/guichet-entreprises.fr/libs/ge-core-test.git</developerConnection>
        <url>https://gitlab.com/guichet-entreprises.fr/libs/ge-core-test</url>
	  <tag>HEAD</tag>
  </scm>
	
	<properties>
		<ge-core.version>3.9.3.0</ge-core.version>
	</properties>

	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-lang3</artifactId>
			</dependency>
			<dependency>
				<groupId>org.dbunit</groupId>
				<artifactId>dbunit</artifactId>
			</dependency>
		</dependencies>
	</dependencyManagement>

	<dependencies>
		<!-- Guichet Entreprises -->
		<dependency>
			<groupId>fr.ge.core</groupId>
			<artifactId>ge-core</artifactId>
			<version>${ge-core.version}</version>
		</dependency>

		<!-- Test Unitaire -->
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.mockito</groupId>
			<artifactId>mockito-all</artifactId>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-test</artifactId>
		</dependency>
		
		<!-- Spring -->
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-web</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-webmvc</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-jdbc</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-aop</artifactId>
		</dependency>


		
		<!-- Database, JPA -->
		<dependency>
			<groupId>org.hsqldb</groupId>
			<artifactId>hsqldb</artifactId>
		</dependency>
		<dependency>
			<groupId>commons-dbcp</groupId>
			<artifactId>commons-dbcp</artifactId>
		</dependency>
		<dependency>
			<groupId>net.sf.dozer</groupId>
			<artifactId>dozer</artifactId>
		</dependency>
		<dependency>
			<groupId>org.postgresql</groupId>
			<artifactId>postgresql</artifactId>
		</dependency>
		<dependency>
			<groupId>org.dbunit</groupId>
			<artifactId>dbunit</artifactId>
			<version>${dbunit.version}</version>
			<scope>test</scope>
			<exclusions>
				<exclusion>
					<groupId>org.slf4j</groupId>
					<artifactId>slf4j-api</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
	</dependencies>
</project>